%define module	hpack

Name:		python-%{module}
Version:	4.0.0
Release:	%mkrel 4
Summary:	Pure-Python HPACK header compression
Group:		Development/Python
License:	MIT
URL:		http://hyper.rtfd.org/
Source0:	https://pypi.io/packages/source/h/hpack/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
for use in Python programs that implement HTTP/2. It also contains a
compatibility layer that automatically enables the use of nghttp2 if
it’s available.

%package -n	python3-%{module}
Summary:	Pure-Python HPACK header compression
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
for use in Python programs that implement HTTP/2. It also contains a
compatibility layer that automatically enables the use of nghttp2 if
it’s available.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CONTRIBUTORS.rst LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 4.0.0-4.mga9
+ Revision: 1823730
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.0.0-3.mga9
+ Revision: 1784386
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 4.0.0-2.mga9
+ Revision: 1707470
- rebuild for python 3.9

* Mon Nov 02 2020 kekepower <kekepower> 4.0.0-1.mga8
+ Revision: 1641598
- Update to version 4.0.0

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1531930
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 3.0.0-2.mga8
+ Revision: 1441376
- rebuild for python3.8
- drop python2 support

* Sat Mar 16 2019 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1377786
- new version: 3.0.0
- rename python-hpack to python2-hpack

* Tue Jan 08 2019 tv <tv> 2.3.0-4.mga7
+ Revision: 1351691
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.3.0-3.mga7
+ Revision: 1288941
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.3.0-2.mga7
+ Revision: 1135448
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1071761
- new version: 2.3.0

* Thu Apr 21 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1003946
- new version: 2.2.0

* Thu Mar 17 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 992312
- new version: 2.1.1

* Mon Feb 15 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 960778
- new version: 2.1.0

* Thu Nov 12 2015 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 902711
- new version: 2.0.1

* Wed Oct 14 2015 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 891646
- new version: 2.0.0

* Fri Oct 09 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 888075
- initial package python-hpack

